/**
 * 项目、系统相关
 * */
 export default {
    namespaced: true,
    state: {
        lastSystemId: 1,
        projectFields: {},
        assFields: {}
    },
    mutations: {
        SET_SYSTEM_ID: (state, systemId) => {
            state.lastSystemId = systemId
        },
        SET_PROJECT: (state, projectFields) => {
            state.projectFields = projectFields
        },
        SET_ASS: (state, assFields) => {
            state.assFields = assFields
        },
    },
    actions: {
        setSystemId({ state,commit },systemId) {
            commit('SET_SYSTEM_ID',systemId)
        },
        setProject({ state,commit },projectFields) {
            commit('SET_PROJECT',projectFields)
        },
        setAss({ state,commit },assFields) {
            commit('SET_ASS',assFields)
        }
    }
}